import { TextRevealProps } from "./types";
/**
 * @description Smooth Color change animation in every characters in a text while scroll
 * @prop text - Array of text.
 * @prop textColor - Initial color of the text before fill
 * @prop fillColor - Color which is going to fill the character while scroll
 * @prop fillSpeed - Speed to fill/show the text (default 100 means 100%)
 * @prop fillDelay - Delay to fill/show the text - Give value between (0-99) (default 30, means after 30% of viewpoint the transition starts)
 * @prop fillDirection - Direction to fill/show the text
 * @prop fillType - 'scroll' | 'timer' 1)scroll - on mouse scroll transtion happens. 2) timer - automatically transtion starts, when the text is in viewpoint.
 * @prop fillDuration - Works when fillType='timer',How much duration to fill/show the text Default 2000 (milliseconds)
*/
declare const TextReveal: ({ text, textColor, fillColor, fillSpeed, fillDelay, fillDirection, fillType, fillDuration }: TextRevealProps) => import("react/jsx-runtime").JSX.Element;
export default TextReveal;
